@echo off

rem #########################################################################
rem #                                                                       #
rem #                 Startskript für die SWE LMS-TIC3                      #
rem #                                                                       #
rem #  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
rem #  Gegebenheiten des lokalen Projektes angepasst werden.                #
rem #                                                                       #
rem #  Es wird angenommen, dass die Kernsoftware gemäß der allgmeinen Vor-  #
rem #  gaben installiert wurde, insbesondere die Installation der SWE in    # 
rem #  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
rem #  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
rem #  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
rem #  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
rem #  allgemeinen Parameter für die Datenverteilerkopplung festgelegt sind.#
rem #                                                                       #
rem #########################################################################
rem #  Folgende, aus der Datei 'einstellungen.bat" übernommene Parameter,   #
rem #  müssen überprüft und evtl. angepasst werden.                         #
rem #########################################################################
rem # Parameter für den Java-Interpreter
rem #jvmArgs="-Dfile.encoding=ISO-8859-1"

rem # Parameter für den Datenverteiler
rem #dav1="-datenverteiler=localhost:8083 -benutzer=Tester ^
rem #  -authentifizierung=passwd -debugFilePath=.."

call ..\..\skripte-dosshell\einstellungen.bat

rem Titel des Shell-Fensters, in dem die SWE ausgeführt wird.
title Kommunikation mit externen Stellen (KEx), SWE LMS-TIC3

rem #########################################################################
rem #                                                                       #
rem #                        Parameter der SWE                              #
rem #                                                                       #
rem #########################################################################
rem # Landesmeldestelle
set LMS="lms.test"
 
rem #########################################################################
rem #                                                                       #
rem #                  Ausführung der Softwareeinheit                       #
rem #                                                                       #
rem # Ab hier müssen in dem Skript keine Änderungen mehr vorgenommen werden.#
rem #                                                                       #
rem #########################################################################

CHCP 1252
TITLE Kommunikation mit externen Stellen (KEx), SWE LMS-TIC3

java %jvmargs% -jar de.bsvrz.kex.lmstic3-runtime.jar %dav1% ^
	-LMS=%LMS% ^
	-debugLevelStdErrText=OFF ^
	-debugLevelFileText=ALL ^
	-debugSetLoggerAndLevel=:INFO 

rem Nach dem Beenden warten, damit Meldungen gelesen werden können
pause
